about summary refs log tree commit diff stats
path: root/hm/soispha/pkgs/scripts/wrappers/mpc-rm
diff options
context:
space:
mode:
authorSoispha <soispha@vhack.eu>2023-12-18 20:13:03 +0100
committerSoispha <soispha@vhack.eu>2023-12-18 20:13:03 +0100
commit1b97796b3d701587f601f9997ef9b16b1cd99ad1 (patch)
treea347bc59f1df0270aa9c2f405d5e35b333faa1f9 /hm/soispha/pkgs/scripts/wrappers/mpc-rm
parentfix(hm/pkgs/src/lyrics): Use less instead of cat (diff)
downloadnixos-config-1b97796b3d701587f601f9997ef9b16b1cd99ad1.zip
feat(hm/pkgs/src/mpc-rm): Provide a command to remove current song
Diffstat (limited to '')
-rwxr-xr-xhm/soispha/pkgs/scripts/wrappers/mpc-rm14
1 files changed, 14 insertions, 0 deletions
diff --git a/hm/soispha/pkgs/scripts/wrappers/mpc-rm b/hm/soispha/pkgs/scripts/wrappers/mpc-rm
new file mode 100755
index 00000000..5e206481
--- /dev/null
+++ b/hm/soispha/pkgs/scripts/wrappers/mpc-rm
@@ -0,0 +1,14 @@
+#!/usr/bin/env dash
+
+# shellcheck source=/dev/null
+SHELL_LIBRARY_VERSION="1.8.0" . %SHELL_LIBRARY_PATH
+
+
+cd "$XDG_MUSIC_DIR" || die "No music dir!"
+trash-put "$(mpc --format '%file%' current)";
+mpc del 0;
+
+
+
+
+# vim: ft=sh